#Called by user with /function command or by clicking uninstall in datapack infos


tellraw @s { "translate":"lordphenex.global.uninstall.message","fallback": "%s uninstalling", "color": "red","with":[{"translate":"lordphenex.craftsmen.title","fallback":"Craftsmen"}] }


#Clearing scoreboards
scoreboard objectives remove LP_Craftsmen


#Cleaning advancements
advancement revoke @a only lordphenex:global/craftsmen
advancement revoke @a from lordphenex:craftsmen/root


#Disabling pack
scoreboard objectives add LP_uninstall dummy
execute store success score uninstall_success LP_uninstall run datapack disable "file/Craftsmen"
execute if score uninstall_success LP_uninstall matches 0 store success score uninstall_success LP_uninstall run datapack disable "file/Craftsmen.zip"
execute if score uninstall_success LP_uninstall matches 0 store success score uninstall_success LP_uninstall run datapack disable "file/craftsmen-1-20-4-v-2-0.zip"
execute if score uninstall_success LP_uninstall matches 0 store success score uninstall_success LP_uninstall run datapack disable "file/craftsmen-1-20-4-v-2-0"
execute if score uninstall_success LP_uninstall matches 0 run tellraw @s ["",{"translate":"lordphenex.global.uninstall.fail","fallback":"Unable to uninstall the pack, please check datapack folder name then use following command","color":"red"},{"text":"\n"},{"text":" /datapack disable \"file/<pack_folder_name>\"","color":"aqua"}]
execute if score uninstall_success LP_uninstall matches 1 run tellraw @a [{"text":"- ","color":"green"},{"translate":"lordphenex.global.uninstall.success","fallback":"%s has been uninstalled","color":"green","with":[{"translate":"lordphenex.craftsmen.title","fallback":"Craftsmen"}]}]
scoreboard objectives remove LP_uninstall